/*
 *  Copyright 2015 Marco Martin <mart@kde.org>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  2.010-1301, USA.
 */

import QtQuick 2.1
import QtQuick.Layouts 1.1

import org.kde.plasma.plasmoid 2.0
import org.kde.plasma.core 2.0 as PlasmaCore
import org.kde.plasma.components 2.0 as PlasmaComponents

import org.kde.plasma.workspace.components 2.0 as PlasmaWorkspace
import org.kde.plasma.private.mobileshell 2.0

MouseArea {
    id: root
    width: 480
    height: 640

    hoverEnabled: true
    onEntered: slidingPanel.showFullScreen()
    FullScreenPanel {
        id: slidingPanel
        width: plasmoid.availableScreenRect.width
        height: plasmoid.availableScreenRect.height
        color: "transparent"
        MouseArea {
            id: panelContents
            hoverEnabled: true
            onPositionChanged: if (mouse.y < height - 300) slidingPanel.visible = false
            anchors.fill: parent
        }
    }
    Row {
        parent: slidingPanel.visible ? panelContents : root
        height: slidingPanel.visible ? 300 : parent.height
        anchors.bottom: parent.bottom
        width: parent.width
        Rectangle {
            color: "red"
            height: parent.height
            width: height
            radius: height
        }
        Rectangle {
            color: "red"
            height: parent.height
            width: height
            radius: height
        }
        Behavior on height {
            NumberAnimation {
                duration: units.longDuration
            }
        }
    }
}
